Bug 546844 - RFE - Pop-up of Task Name When Hovering Over Gantt Bar
Summary: RFE - Pop-up of Task Name When Hovering Over Gantt Bar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 08:31 UTC by David Le Sage
Modified: 2009-12-22 04:56 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:56:20 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 604531 0 None None None Never

Description David Le Sage 2009-12-12 08:31:06 UTC
Description of problem:
It would be handy to have a feature whereby, if one hovered one's mouse over a bar in a Gantt Chartt, the name of the task would appear in a pop-up "tooltip" style box.  


Currently, the Planner Help file states that, "The Show Guide Lines option displays horizontal guide lines in the  Gantt chart to help the user visually line up the chart bars with the task list on the left hand side of the window."

That notwithstanding, with long bars (for projects of lengthy duration) being viewed on widescreen monitors, (or possibly spanning dual monitors), the ability to see a pop-up "tooltip" referencing the name of a task would be handy as the user would not have to trace the lines back with his or her eyes.

Version-Release number of selected component (if applicable):
0.14.4

How reproducible:
Feature does not currently exist.

Steps to Reproduce:
1.  Hovering the mouse over a bar in either the Gantt Chart or Resource Usage views.
  
Actual results:
Does nothing.

Expected results:
Should generate a pop-up "tooltip"-style box displaying the name of the task so the user does not have to trace back along the gridlines all of the time.  This would add a little more polish and usability to the application.

Additional info:

Comment 1 Caolan McNamara 2009-12-14 12:55:37 UTC
Patch now submitted upstream and checked in locally.

Comment 2 Fedora Update System 2009-12-15 11:26:55 UTC
planner-0.14.4-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-11.fc12

Comment 3 Fedora Update System 2009-12-16 01:10:44 UTC
planner-0.14.4-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13174

Comment 4 Fedora Update System 2009-12-21 09:57:23 UTC
planner-0.14.4-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-12.fc12

Comment 5 Fedora Update System 2009-12-22 04:55:52 UTC
planner-0.14.4-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.